#!/bin/bash

myfile=`basename $0`
mypath=`echo $0 | sed -e "s|$myfile||g" | sed -e "s|/$||g"`
cd $mypath
export PATH=$PATH:$mypath
export QTDIR=/usr/lib/ezx

iconok=Dialog_Complete.gif
iconno=Dialog_Error.gif
dspltime=3
my_alert='/usr/SYSqtapp/phone/alertprocess'
#Dingdong
soundok='/usr/language/ringtone/Notification_4.mid'
#Ding
soundno='/usr/language/ringtone/Notification_5.mid'

message=$1
status=$2

echo "$message"
if [ -f ./ezxpopup ];
then
  [ "$status" = "ok" ] && ./ezxpopup "$message" $iconok $dspltime
  [ "$status" = "no" ] && ./ezxpopup "$message" $iconno $dspltime
else
  [ "$status" = "ok" ] && $my_alert -playvol 5 -playfile $soundok
  [ "$status" = "no" ] && $my_alert -playvol 5 -playfile $soundno
fi
